build:
  image: docker:19.03.1
  stage: build
  services:
    - docker:19.03.1-dind
  variables:
    # Use TLS https://docs.gitlab.com/ee/ci/docker/using_docker_build.html#tls-enabled
    DOCKER_HOST: tcp://docker:2376
    DOCKER_TLS_CERTDIR: "/certs"
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --build-arg rails_master_key=$RAILS_MASTER_KEY -t $CI_REGISTRY/contribute2020ctf/challenges/gee-cee-m .
    - docker push $CI_REGISTRY/contribute2020ctf/challenges/gee-cee-m:latest
